# $Revision: 1.6 $, $Date: 2004/08/18 20:23:50 $
Summary:	Dockapp for laptop users
Summary(pl):	Aplet dla uytkownikw laptopw
Name:		wmlaptop
Version:	1.3
Release:	2
License:	GPL v2
Group:		X11/Window Managers/Tools
Source0:	http://www.dockapps.org/download.php/id/474/%{name}-%{version}.tar.bz2
# Source0-md5:	30b21929ecd63aa25227f41099298a4d
Source1:	%{name}.desktop
URL:		http://www.dockapps.org/file.php/id/227
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
wmlaptop is a WindowMaker dockapp that includes all that a linux user
with a laptop needs:
- Battery estimated time remaining
- Multi Batteries support
- Battery remaining charge (visual and percent)
- Auto-Frequency Scaling
- Manual Frequency Scaling
- 0-100 Cpu Load indicator
- APM and ACPI support
- sysfs and /proc filesystems support
- Kernel 2.6 series fully compatible

%description -l pl
wmlaptop jest apletem dla WindowMakera, ktry zawiera wszystko czego
potrzebuje uytkownik laptopw:
- Szacunkowy czas do wyczerpania si baterii
- Wsparcie dla kilku baterii
- Poziom naadowania baterii (wizualny i procentowy)
- Automatyczne skalowanie czstotliwoci pracy procesora
- Rczne skalowanie czstotliwoci pracy procesora
- Wskanik 0-100 dla obcienia procesora
- Wsparcie dla sysfs i /proc
- Pena kompatybilno z jdrami 2.6

%prep
%setup -q

%build
%{__make} \
	CFLAGS="%{rpmcflags}" \
	LIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}/docklets}

install src/wmlaptop $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG README* THANKS
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/docklets/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmlaptop.spec,v $
Revision 1.6  2004/08/18 20:23:50  yogib
- fix building on amd64

Revision 1.5  2004/08/08 14:34:00  yogib
- up to 1.3, updated %%doc

Revision 1.4  2004/07/19 19:45:35  yogib
- switched to vfolders

Revision 1.3  2004/02/07 17:21:37  yogib
- added desktop file

Revision 1.2  2004/01/08 15:47:52  qboosh
- pl fix

Revision 1.1  2004/01/05 22:41:25  yogib
- initial version
